Package org.optaplanner.core.impl.score.director

## Class ScoreDirectorFactoryFactory<Solution_,​Score_ extends Score<Score_>>

- java.lang.Object
- - org.optaplanner.core.impl.score.director.ScoreDirectorFactoryFactory<Solution_,​Score_>

-     public class ScoreDirectorFactoryFactory<Solution_,​Score_ extends Score<Score_>>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScoreDirectorFactoryFactory​(ScoreDirectorFactoryConfig config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ConstraintStreamScoreDirectorFactory<Solution_,​Score_>` | `buildConstraintStreamScoreDirectorFactory​(SolutionDescriptor<Solution_> solutionDescriptor)` |
    `protected DroolsScoreDirectorFactory<Solution_,​Score_>` | `buildDroolsScoreDirectorFactory​(ClassLoader classLoader, SolutionDescriptor<Solution_> solutionDescriptor)` |
    `protected EasyScoreDirectorFactory<Solution_,​Score_>` | `buildEasyScoreDirectorFactory​(SolutionDescriptor<Solution_> solutionDescriptor)` |
    `protected IncrementalScoreDirectorFactory<Solution_,​Score_>` | `buildIncrementalScoreDirectorFactory​(SolutionDescriptor<Solution_> solutionDescriptor)` |
    `protected org.kie.api.KieBaseConfiguration` | `buildKieBaseConfiguration​(org.kie.api.KieServices kieServices)` |
    `InnerScoreDirectorFactory<Solution_,​Score_>` | `buildScoreDirectorFactory​(ClassLoader classLoader, EnvironmentMode environmentMode, SolutionDescriptor<Solution_> solutionDescriptor)` |
    `protected AbstractScoreDirectorFactory<Solution_,​Score_>` | `decideMultipleScoreDirectorFactories​(ClassLoader classLoader, SolutionDescriptor<Solution_> solutionDescriptor)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScoreDirectorFactoryFactory

          public ScoreDirectorFactoryFactory​(ScoreDirectorFactoryConfig config)

  - ### Method Detail

    - #### buildScoreDirectorFactory

          public InnerScoreDirectorFactory<Solution_,​Score_> buildScoreDirectorFactory​(ClassLoader classLoader,
                                                                                             EnvironmentMode environmentMode,
                                                                                             SolutionDescriptor<Solution_> solutionDescriptor)

    - #### decideMultipleScoreDirectorFactories

          protected AbstractScoreDirectorFactory<Solution_,​Score_> decideMultipleScoreDirectorFactories​(ClassLoader classLoader,
                                                                                                              SolutionDescriptor<Solution_> solutionDescriptor)

    - #### buildEasyScoreDirectorFactory

          protected EasyScoreDirectorFactory<Solution_,​Score_> buildEasyScoreDirectorFactory​(SolutionDescriptor<Solution_> solutionDescriptor)

    - #### buildConstraintStreamScoreDirectorFactory

          protected ConstraintStreamScoreDirectorFactory<Solution_,​Score_> buildConstraintStreamScoreDirectorFactory​(SolutionDescriptor<Solution_> solutionDescriptor)

    - #### buildIncrementalScoreDirectorFactory

          protected IncrementalScoreDirectorFactory<Solution_,​Score_> buildIncrementalScoreDirectorFactory​(SolutionDescriptor<Solution_> solutionDescriptor)

    - #### buildDroolsScoreDirectorFactory

          protected DroolsScoreDirectorFactory<Solution_,​Score_> buildDroolsScoreDirectorFactory​(ClassLoader classLoader,
                                                                                                       SolutionDescriptor<Solution_> solutionDescriptor)

    - #### buildKieBaseConfiguration

          protected org.kie.api.KieBaseConfiguration buildKieBaseConfiguration​(org.kie.api.KieServices kieServices)